> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Reset Password

> Handles the password reset process including
     *          verification and sending a temporary password to the user.



## OpenAPI

````yaml post /frontend/reset_password/{client_id}/{program_id}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/reset_password/{client_id}/{program_id}/{session_id}:
    post:
      tags:
        - Frontend
      summary: Post Reset Password
      description: |-
        Handles the password reset process including
             *          verification and sending a temporary password to the user.
      operationId: postResetPassword
      parameters:
        - name: client_id
          in: path
          description: Client ID for the password reset
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: Program ID for the password reset
          required: true
          schema:
            type: integer
        - name: session_id
          in: path
          description: Session ID for the password reset (optional)
          required: true
          schema:
            type: string
      requestBody:
        description: Data required for resetting password
        required: true
        content:
          application/json:
            schema:
              required:
                - email
              properties:
                email:
                  type: string
                  format: email
              type: object
      responses:
        '201':
          description: Password reset successful
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                  status:
                    type: string
                    example: success
                type: object
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Validation error
                  errors:
                    type: object
                type: object
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                  status:
                    type: string
                    example: error
                type: object

````